"use strict";
// // Anything exported from this file is importable by other in-browser modules.
// import { setPublicPath } from "systemjs-webpack-interop";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchWithMethod = exports.fetchData = void 0;
// setPublicPath("@api/share");
function fetchData(url) {
    return fetch(url, {
        headers: {
            Accept: "application/json",
            "Content-Type": "application/json",
            Authorization: sessionStorage.getItem("token"),
        },
    }).then((response) => {
        if (!response.ok) {
            alert(response.statusText);
            throw new Error(response.statusText);
        }
        return response.json();
    });
}
exports.fetchData = fetchData;
function fetchWithMethod(url, method, params) {
    return __awaiter(this, void 0, void 0, function* () {
        if (method === "GET" || method === 'get') {
            const rawResponse = yield fetch(url, {
                method: method,
                headers: {
                    Accept: "application/json",
                    "Content-Type": "application/json",
                    Authorization: sessionStorage.getItem("token"),
                },
            }).then((response) => {
                if (!response.ok) {
                    alert(response.statusText);
                    throw new Error(response.statusText);
                }
                return response;
            });
            return yield rawResponse.json();
        }
        const rawResponse = yield fetch(url, {
            method: method,
            headers: {
                Accept: "application/json",
                "Content-Type": "application/json",
                Authorization: sessionStorage.getItem("token"),
            },
            body: JSON.stringify(params),
        }).then((response) => {
            if (!response.ok) {
                alert(response.statusText);
                throw new Error(response.statusText);
            }
            return response;
        });
        return yield rawResponse.json();
    });
}
exports.fetchWithMethod = fetchWithMethod;
//# sourceMappingURL=api-share.js.map